import 'environment_type.dart';

class EnvironmentConfig {
  String name;
  String displayName;

  Map<EnvironmentType, Map<String, dynamic>> _config = {};

  void addConfig(EnvironmentType environmentType, String key, String value) {
    Map<String, dynamic> configMap = _config[environmentType];

    if (configMap == null) {
      configMap = {};
      _config[environmentType] = configMap;
    }

    configMap[key] = value;
  }

  String getConfig(EnvironmentType environmentType, String key) {
    Map<String, dynamic> configMap = _config[environmentType];
    if (configMap != null) {
      return configMap[key];
    }
    return null;
  }
}
