import 'package:environment_manager/environment_manager.dart';
import 'package:flutter/material.dart';

class SwitchEnvironmentWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return StreamBuilder(
        stream: (EnvironmentManager().environmentChangedListener),
        builder: (context, _) {
          List<EnvironmentType> typeList = EnvironmentType.values;

          return ListView.builder(
              itemCount: typeList.length,
              itemBuilder: (context, index) {
                EnvironmentType type = typeList[index];
                bool isSelected = EnvironmentManager().currentEnvironment['all'] == type;

                return Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    GestureDetector(
                      behavior: HitTestBehavior.opaque,
                      onTap: () {
                        EnvironmentManager().setEnvironment(type);
                      },
                      child: Container(
                        padding: EdgeInsets.all(12.0),
                        child: Row(
                          children: [
                            Container(
                              width: 12.0,
                              height: 12.0,
                              decoration: BoxDecoration(
                                borderRadius: BorderRadius.all(Radius.circular(10.0)),
                                color: isSelected ? Colors.black : Colors.transparent,
                              ),
                            ),
                            SizedBox(
                              width: 10.0,
                            ),
                            Text(
                              '${describeEnvironment(type)} (${englishDescribeEnvironment(type)})',
                              style: TextStyle(
                                fontSize: 14.0,
                                color: Colors.black,
                              ),
                            ),
                          ],
                        ),
                      ),
                    ),
                    Container(
                      height: 0.5,
                      color: Colors.black.withOpacity(0.1),
                    )
                  ],
                );
              });
        });
  }
}
